summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xCopyToFDD.sh2
-rw-r--r--Source/Applications/Shell/Shell.class.cpp2
2 files changed, 2 insertions, 2 deletions
diff --git a/CopyToFDD.sh b/CopyToFDD.sh
index d1fcc0b..7b8459a 100755
--- a/CopyToFDD.sh
+++ b/CopyToFDD.sh
@@ -29,4 +29,4 @@ cp Source/Applications/Demos/GOL Mount/Applications/Demos/GOL.app
cp Source/Applications/Demos/asmdemo Mount/Applications/Demos/ASM.dem
#echo "*** Launching a BASH shell, if you want to do any maintenance ***"
-bash || exit 0
+#bash || exit 0
diff --git a/Source/Applications/Shell/Shell.class.cpp b/Source/Applications/Shell/Shell.class.cpp
index 4e0f18b..3d406c8 100644
--- a/Source/Applications/Shell/Shell.class.cpp
+++ b/Source/Applications/Shell/Shell.class.cpp
@@ -66,7 +66,7 @@ int Shell::run() {
} else if (cmd[0] == "free") {
outvt << "Free RAM : " << (s64int)Sys::freeRam() << " Kio of " << (s64int)Sys::totalRam() << " Kio\n";
} else if (cmd[0] == "uid") {
- outvt << "User ID : " << (s64int)(Process::get().getUid()) << "\n";
+ outvt << "User ID : " << (s64int)(pr.getUid()) << "\n";
} else if (cmd[0] == "help") {
while (cmd.size() > 1) cmd.pop();
cmd.push("/Applications/Shell/Help.txt");